# DEBUG
[MACSW]

Description of the Debug module. More...

Collaboration diagram for DEBUG:

## Data Structures
struct | dbg_debug_info_tag
| Debug information forwarded to host when an error occurs. More...
struct | dbg_debug_dump_tag
| Full debug dump that is forwarded to host in case of error. More...
struct | debug_env_tag
| Declaration of DEBUG environment. More...
## Modules
| DBG_PRINT

| Print Debug feature.
| ASSERT

| Assertion management module.
| DBG_PROF

| SW profiling debug feature.
| DBG_TASK

| Debug Task management module.
| TRACE

| Trace buffer debug module.
## Defines
#define | DBG_SW_DIAG_MAX_LEN 1024
| Maximum length of the SW diag trace.
#define | DBG_ERROR_TRACE_SIZE 256
| Maximum length of the error trace.
#define | DBG_DIAGS_MAC_MAX 48
| Number of MAC diagnostic port banks.
#define | DBG_DIAGS_PHY_MAX 32
| Number of PHY diagnostic port banks.
#define | DBG_RHD_MEM_LEN (5 * 1024)
| Maximum size of the RX header descriptor information in the debug dump.
#define | DBG_RBD_MEM_LEN (5 * 1024)
| Maximum size of the RX buffer descriptor information in the debug dump.
#define | DBG_THD_MEM_LEN (10 * 1024)
| Maximum size of the TX header descriptor information in the debug dump.
## Enumerations
enum | { DBG_ERROR_RECOVERABLE = 0, DBG_ERROR_FATAL }
## Functions
void | dbg_init (void)
| Initialize the debug module.
## Variables
struct debug_env_tag | dbg_env
| Debug module environment definition. (moved here for host).
struct debug_env_tag | dbg_env
| DEBUG module environment declaration.
## System Stats Macro definitions
#define | DBG_CPU_SLEEP_START() PROF_CPU_SLEEP_SET()
#define | DBG_CPU_SLEEP_END() PROF_CPU_SLEEP_CLR()
#define | DBG_DOZE_START() PROF_DEEP_SLEEP_SET()
#define | DBG_DOZE_END() PROF_DEEP_SLEEP_CLR()

## Detailed Description

Description of the Debug module.

## Enumeration Type Documentation

anonymous enum

Type of errors

Enumerator:

  DBG_ERROR_RECOVERABLE | Recoverable error, not requiring any action from Upper MAC.
  DBG_ERROR_FATAL | Fatal error, requiring Upper MAC to reset Lower MAC and HW and restart operation.

Definition at line 1239 of file dbg.h.

## Function Documentation

void dbg_init | ( | void |  | ) |

Initialize the debug module.

## Variable Documentation

struct debug_env_tag dbg_env

Debug module environment definition. (moved here for host).

DEBUG module environment declaration.

Definition at line 46 of file dbg.c.

Referenced by dbg_get_sys_stat_req_handler(), dbg_set_mod_filter_req_handler(), dbg_set_sev_filter_req_handler(), and dbg_test_print().